Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.CompareResultInfo Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | CompareResultInfo ()
| Constructor.
def | CompareResultInfo (result_info)
| Constructor, with another result information object. More...

## Static Public Attributes
| diff_contents = _fsdk.CompareResultInfo_diff_contents
| Different contents as compared result.
| e_CompareResultTypeDeleteAnnot = _fsdk.CompareResultInfo_e_CompareResultTypeDeleteAnnot
| Result type: delete annotation.
| e_CompareResultTypeDeleteImage = _fsdk.CompareResultInfo_e_CompareResultTypeDeleteImage
| Result type: delete image.
| e_CompareResultTypeDeletePath = _fsdk.CompareResultInfo_e_CompareResultTypeDeletePath
| Result type: delete path.
| e_CompareResultTypeDeleteShading = _fsdk.CompareResultInfo_e_CompareResultTypeDeleteShading
| Result type: delete shading.
| e_CompareResultTypeDeleteText = _fsdk.CompareResultInfo_e_CompareResultTypeDeleteText
| Result type: delete text.
| e_CompareResultTypeInsertAnnot = _fsdk.CompareResultInfo_e_CompareResultTypeInsertAnnot
| Result type: insert annotation.
| e_CompareResultTypeInsertImage = _fsdk.CompareResultInfo_e_CompareResultTypeInsertImage
| Result type: insert image.
| e_CompareResultTypeInsertPath = _fsdk.CompareResultInfo_e_CompareResultTypeInsertPath
| Result type: insert path.
| e_CompareResultTypeInsertShading = _fsdk.CompareResultInfo_e_CompareResultTypeInsertShading
| Result type: insert shading.
| e_CompareResultTypeInsertText = _fsdk.CompareResultInfo_e_CompareResultTypeInsertText
| Result type: insert text.
| e_CompareResultTypeNone = _fsdk.CompareResultInfo_e_CompareResultTypeNone
| Result type: unsupported or invalid.
| e_CompareResultTypeReplaceAnnot = _fsdk.CompareResultInfo_e_CompareResultTypeReplaceAnnot
| Result type: replace annotation.
| e_CompareResultTypeReplaceImage = _fsdk.CompareResultInfo_e_CompareResultTypeReplaceImage
| Result type: replace image.
| e_CompareResultTypeReplacePath = _fsdk.CompareResultInfo_e_CompareResultTypeReplacePath
| Result type: replace path.
| e_CompareResultTypeReplaceShading = _fsdk.CompareResultInfo_e_CompareResultTypeReplaceShading
| Result type: replace shading.
| e_CompareResultTypeReplaceText = _fsdk.CompareResultInfo_e_CompareResultTypeReplaceText
| Result type: replace text.
| e_CompareResultTypeTextAttriChange = _fsdk.CompareResultInfo_e_CompareResultTypeTextAttriChange
| (Reserved, not supported yet) Result type: text attribute change.
| rect_array = _fsdk.CompareResultInfo_rect_array
| Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.
| type = _fsdk.CompareResultInfo_type
| Result type. Please refer to values starting from FoxitPDFSDKPython2.CompareResultInfo.e_CompareResultTypeNone and this should be one of these values.

## Detailed Description

This class represents the compare result information.

## Constructor & Destructor Documentation

## ◆ CompareResultInfo()

def FoxitPDFSDKPython2.CompareResultInfo.CompareResultInfo | ( |  | result_info | ) |

Constructor, with another result information object.

Parameters

  [in] | result_info | Another result information object.